Reminder: Update der PHP-Version für IIS Express

Da ich auf stackoverflow (noch) nicht voten kann, hier mal kurz ein MemberMe für mich selbst.

Problem-Stellung: Über den Web Platform Installer (WPI) hab ich PHP für den IIS Express installiert, aktuelle Version im WPI: 5.4.0

Allerdings brauchte ich eine aktuellere Release. Also Update von Hand:

Download von PHP

Download von windows.php.net , Version: VC9 ×86 Non Thread Safe (entspricht quasi der vom WPI installierten)

Entpacken

in ein vernünftiges Verzeichnis: c:/PHP

Anpassen der Pfade in der config-Datei

Alle Vorkommen des alten Pfades (c:/Program Files (x86)/IIS Express/... – einfach die Datei nach fastCGI durchsuchen) durch den neuen korrigierten Pfad c:/PHP/php-cgi.exe ersetzen (plus das PHPRC-Directory).

Das wars.

Links: StackOverflow: Enabling PHP on IIS Express